Subject: Re: [Madwifi-devel] ANNOUNCE: SFLC helps developers assessar5k (enabling free Atheros HAL)

From: David Kimdon <[email-masked]>
Date: Wed, 15 Nov 2006 15:28:16 -0800

On Wed, Nov 15, 2006 at 02:39:01PM -0500, Pavel Roskin wrote:
> On Wed, 2006-11-15 at 14:21 -0500, John W. Linville wrote:
> > On Wed, Nov 15, 2006 at 07:42:14PM +0100, Michael Buesch wrote:
> 
> I said it before, and it's worth repeating.  Dissolving HAL in the
> sources is easy.  It's just a matter of moving functions around without
> serious chances of breaking anything as long as the source compiles.
> The whole "HAL-based architecture" can be reshuffled and eliminated by
> one person in a few days.
> 
> Making things work properly takes years.  That's what MadWifi has been
> working on for a long time, using contributions and bug reports from
> scores of users and developers.
> 
> Rejecting MadWifi because it's HAL based is like throwing away a diamond
> ring because it's too narrow.

I completely agree.  The approach we are taking with dadwifi[1] is to
use much of the existing code from madwifi and port it to the d80211
stack.  Today dadwifi works in monitor, sta and ap mode.

-David

[1] http://madwifi.org/wiki/DadWifi

> 
> -- 
> Regards,
> Pavel Roskin
> 
> 
> 
> -------------------------------------------------------------------------
> Take Surveys. Earn Cash. Influence the Future of IT
> Join SourceForge.net's Techsay panel and you'll get the chance to share your
> opinions on IT & business topics through brief surveys - and earn cash
> http://www.techsay.com/default.php?page=join.php&p=sourceforge&CID=DEVDEV
> _______________________________________________
> Madwifi-devel mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/madwifi-devel